%define module Gnome2

Summary: Perl module for the gnome2-2.x core libraries
Name:    perl-%module
Version: 1.042
Release: %mkrel 4
License: GPL or Artistic
Group:   Development/GNOME and GTK+
# http://sourceforge.net/project/showfiles.php?group_id=64773&package_id=91219
Source:  %module-%version.tar.bz2
URL: http://gtk2-perl.sf.net/
BuildRequires: gnomeui2-devel 
BuildRequires: perl-ExtUtils-Depends 
BuildRequires: perl-Gnome2-VFS >= 1.00 
BuildRequires: perl-Gtk2 => 1.00
BuildRequires: perl-Gnome2-Canvas
Buildrequires: perl-devel
BuildRequires: perl-ExtUtils-PkgConfig
Requires: perl-Gtk2 >= 1.00
Conflicts: drakxtools < 9.1-15mdk
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This module provides perl access to GNOME-2.x core libraries.

GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window manager
for the X Window System. GNOME is similar in purpose and scope to CDE and KDE,
but GNOME (like KDE) is based completely on Open Source software.

GNOME libraries provide extra widgets on top of the gtk+ toolkit.


%prep
%setup -q -n %module-%version
find -type d -name CVS | rm -rf 

%build
RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
export GTK2_PERL_CFLAGS="$RPM_OPT_FLAGS"
perl Makefile.PL INSTALLDIRS=vendor
make OPTIMIZE="$RPM_OPT_FLAGS"
#%make test || :

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root)
%doc AUTHORS LICENSE examples/*
%{_mandir}/*/*
%{perl_vendorarch}/%module
%{perl_vendorarch}/%module.pm
%{perl_vendorarch}/auto/*




%changelog
* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.042-4mdv2009.0
+ Revision: 223770
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.042-3mdv2008.1
+ Revision: 152646
- rebuild
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Aug 13 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.042-1mdv2008.0
+ Revision: 62755
- new release

* Tue Jun 26 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.041-2mdv2008.0
+ Revision: 44599
- rebuild


* Thu Jan 04 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.041-1mdv2007.0
+ Revision: 104202
- new release

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-Gnome2

* Thu Mar 16 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.040-1mdk
- new release

* Tue Jan 03 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.030-1mdk
- new release

* Tue Oct 11 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.023-4mdk
- Fix previous mistake

* Fri Sep 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.023-3mdk
- fix buildrequires

* Sat Jul 09 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.023-2mdk
- fix build on x86_64

* Fri Jun 24 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.023-1mdk
- new release

* Wed Jun 08 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.022-1mdk
- new release

* Tue Feb 08 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.020-2mdk
- rebuilt for new perl

* Fri Sep 17 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.020-1mdk
- new release

* Tue Aug 31 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.014-1mdk
- new release

* Sat Aug 14 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.013-1mdk
- new release

* Tue Aug 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.012-1mdk
- new release

* Wed Jun 30 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.011-1mdk
- new release

* Fri Jun 04 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.010-1mdk
- new release
- now Gnome2 {Build,}requires Gnome2-Canvas

* Wed Mar 31 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.00-1mdk
- new release

* Sat Jan 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.90-1mdk
- new release

